###########################################
#                                         #
#  Improvements and feedback are welcome  #
#                                         #
#  This file is released under GPL >= 3   #
#                                         #
###########################################

# required stuff
find_package( TQt )
find_package( TDE )

tde_setup_architecture_flags( )

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

tde_setup_largefiles( )


##### check for gcc visibility support

if( WITH_GCC_VISIBILITY )
  tde_setup_gcc_visibility( )
endif( WITH_GCC_VISIBILITY )

##### check for X11

find_package( X11 )


##### check for xft

pkg_search_module( XFT xft )

if( NOT XFT_FOUND )
    tde_message_fatal("Xft is required but was not found on your system" )
endif( NOT XFT_FOUND )


##### check for Xext

pkg_search_module( XEXT xext )

if( NOT XEXT_FOUND )
    tde_message_fatal("Xext is required but was not found on your system" )
endif( NOT XEXT_FOUND )


##### check for freetype2

pkg_search_module( FREETYPE freetype2 )

if( NOT FREETYPE_FOUND )
    tde_message_fatal("freetype2 is required, but was not found on your system" )
endif( NOT FREETYPE_FOUND )
